/**
 * NewGuideGraphCanvas.java
 *
 *
*/
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
//import java.lang.*;

public class NewGuideGraphCanvasDir extends GraphCanvas{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private NewGuide_State state;
    
    public NewGuideGraphCanvasDir(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(Color.gray);
	
	setYRangeMax(state.DVMax);
	setYRangeMin(0.0);
	plotZeroLine(false);
	plotRefPoint(true);
	setLabels("Antenna illumination","","","");
	setRefPoint(state.a);
	plot(state.leng,state.DVector, state.IsDirectivity);
   }
   
}